package nl.uvt.commons.xml;

import java.util.*;
import nu.xom.*;

public class Utilities {

  public static String valueOf(Element element, String query) {
    Nodes nodes = element.query(query, Namespaces.getContext());
    if (nodes.size() == 0)
      return null;
    else
      return nodes.get(0).getValue();
  }

  public static Element properties2XML(Properties properties) {
    Element root = new Element("properties");
    for (Map.Entry<Object, Object> entry : properties.entrySet()) {
      Element entryElement = new Element("entry");
      Attribute keyAttribute = new Attribute("key", (String) entry.getKey());
      entryElement.addAttribute(keyAttribute);
      entryElement.appendChild((String) entry.getValue());
      root.appendChild(entryElement);
    }
    return root;
  }
}
